<?php

// Security
if (!defined('_PS_VERSION_'))
	exit;

class AdminMailalertsOosController extends ModuleAdminController {

	public function __construct()
	{

 		$this->table = 'mailalert_customer_oos';
		$this->className = 'MailalertCustomerOos';
		$this->list_id = 'mailalert_customer_oos';
		$this->lang = false;
		$this->deleted = false;
		$this->list_no_link = true;
		$this->show_toolbar = true;
		$this->allow_export = true;

		$this->addRowAction('delete');

		$this->context = Context::getContext();

		$this->bulk_actions = array('delete' => array('text' => $this->l('Delete selected'), 'confirm' => $this->l('Delete selected items?')));
		$this->tpl_folder = 'mailalerts_oos';
	
		$this->fields_list = array(
			'id_mailalert_customer_oos' => array(
				'title' => $this->l('Id'),
				'align' => 'center',
				'width' => 50,
				'search' => false				
			),		
			'customer_email' => array(
				'title' => $this->l('Customer Email'),
				'align' => 'left'
			),		
			'name' => array(
				'title' => $this->l('Product'),
				'align' => 'left',
				'filter_key' => 'pl!name'
			),		
			'attribute' => array(
				'title' => $this->l('Attribute'),
				'align' => 'left',
				'search' => false,
				'orderby' => true
			),
			'referencia' => array(
				'title' => $this->l('Reference'),
				'align' => 'left',
				'width' => 150,
				'search' => false
			),	
			'active' => array(
				'title' => $this->l('Enabled'),
				'align' => 'center',
				'active' => 'status',
				'type' => 'bool',
				'search' => false,
				'width' => 25
			)
		);
		
		$this->clearFilters();
		
		parent::__construct();
	}

	public function renderList()
	{
		$this->_select = 'p.`id_product`, pl.`name`, p.`active`,
				CONCAT(GROUP_CONCAT(IFNULL(al.name, \'\'), \'\')) attribute,
				if(isnull(pa.reference),p.reference,pa.reference) AS referencia';
		$this->_join = '
				LEFT JOIN '._DB_PREFIX_.'product_attribute_combination AS pac ON a.id_product_attribute = pac.id_product_attribute
				LEFT JOIN '._DB_PREFIX_.'product_attribute AS pa ON pa.id_product_attribute = a.id_product_attribute
				LEFT JOIN '._DB_PREFIX_.'attribute AS att ON att.id_attribute = pac.id_attribute
				LEFT JOIN '._DB_PREFIX_.'attribute_group AS ag ON ag.id_attribute_group = att.id_attribute_group
				LEFT JOIN '._DB_PREFIX_.'attribute_lang AS al ON att.id_attribute = al.id_attribute AND al.id_lang = '.(int)Context::getContext()->language->id.'
				LEFT JOIN '._DB_PREFIX_.'attribute_group_lang AS agl ON ag.id_attribute_group = agl.id_attribute_group AND agl.id_lang = '.(int)Context::getContext()->language->id.'
				LEFT JOIN '._DB_PREFIX_.'product AS p ON p.id_product = a.id_product
				LEFT JOIN '._DB_PREFIX_.'product_lang AS pl ON p.id_product = pl.id_product AND pl.id_lang = '.(int)Context::getContext()->language->id;		
		$this->_group = 'GROUP BY a.id_mailalert_customer_oos';
		$this->_orderBy = 'pl.name';
		$this->_orderWay = 'ASC';
		
		return parent::renderList();		
	}	
	
	public function initToolbar()
	{
		parent::initToolbar();
		
		unset($this->toolbar_btn['new']);
	}
	
	public function postProcess()
	{

		// checks access
		if (Tools::isSubmit('delete'.$this->table) && !($this->tabAccess['delete'] === '1'))
		{
			$this->errors[] = Tools::displayError('You do not have the required permissions to delete Mailalert.');
			return parent::postProcess();
		}

		if (Tools::isSubmit('delete'.$this->table))
		{
			if (!($obj = $this->loadObject(true)))
				return;
			else
			{
				//delete all product_supplier linked to this supplier
				Db::getInstance()->execute('
				DELETE FROM `'._DB_PREFIX_.'mailalert_customer_oos` 
					WHERE `id` = '.(int)Tools::getValue('id_mailalerts_oos'));

				return parent::postProcess();
			}
		}
		else
			return parent::postProcess();
	}

	protected function clearFilters()
	{
		if (Tools::isSubmit('submitResetmailalert_customer_oos'))
			$this->processResetFilters('mailalert_customer_oos');
	}
	
}