<?php
/* Admin tool to list newsletter subscribers from front-office block. */
 
if (!defined('_PS_VERSION_'))
	exit;

// Loading Classes
require_once(_PS_MODULE_DIR_ . 'mailalerts_oos/MailalertsCustomerOos.php');

class mailalerts_oos extends Module
{

	function __construct()
	{
		// Module definition
		$this->name = 'mailalerts_oos';
		$this->tab = 'administration';
		$this->version = '1.0.2';
		$this->author = 'Daniel Wilden';
		$this->need_instance = 0;
		$this->ps_versions_compliancy = array('min' => '1.5', 'max' => '1.6');
		array_push($this->dependencies, 'mailalerts');

		// standard constructor
		parent::__construct();

        $this->tabClassName = 'AdminMailalertsOos';
        $this->tabParentName = 'AdminParentCustomer';
		
		// custom display for module list
		$this->displayName = $this->l('MailAlerts - Customer notifications');
		$this->description = $this->l('Manage list of \"Customer notifications\" option from \"Mail Alerts\" Module.');

	}
	
	function install()
	{
		if (!parent::install())
			return false;

		$sql = 'alter table '._DB_PREFIX_.'mailalert_customer_oos ADD id_mailalert_customer_oos INT UNSIGNED NOT NULL AUTO_INCREMENT, ADD KEY (id_mailalert_customer_oos)';

		if (!Db::getInstance()->execute($sql))
			return false;

    	if (!$id_tab) {
	      	$tab = new Tab();
	      	$tab->class_name = $this->tabClassName;
	      	$tab->id_parent = Tab::getIdFromClassName($this->tabParentName);
	      	$tab->module = $this->name;
	      	$languages = Language::getLanguages();
	      	foreach ($languages as $language)
		        $tab->name[$language['id_lang']] = $this->l('Customer notifications');
	    	$tab->add();
		}
		
		return true;
	}
	public function uninstall() {
		if(!parent::uninstall())
			return false;

		$sql = 'alter table '._DB_PREFIX_.'mailalert_customer_oos DROP COLUMN id_mailalert_customer_oos';

		if (!Db::getInstance()->execute($sql))
			return false;			
	    
		$id_tab = Tab::getIdFromClassName($this->tabClassName);
	    if ($id_tab) {
	      $tab = new Tab($id_tab);
	      $tab->delete();
	    }
		
		return true;
	}
}
?>